# Class ImportDotx

#### Hierarchy

- ImportDotx

- Defined in src/import-dotx/import-dotx.ts:49

#####
Index

### Constructors

constructor

### Methods

extract

## Constructors

### constructor

- new ImportDotx(): ImportDotx

- #### Returns ImportDotx

## Methods

### extract

- extract(data: string | number[] | ArrayBuffer | Uint8Array | Blob | Buffer | ReadableStream): Promise<IDocumentTemplate>

- #### Parameters

  - ##### data: string | number[] | ArrayBuffer | Uint8Array | Blob | Buffer | ReadableStream

  #### Returns Promise<IDocumentTemplate>

  - Defined in src/import-dotx/import-dotx.ts:50

Generated using TypeDoc